%define majver %(echo %version | cut -d. -f1-2)
Name:          libirrlicht
Version:       1.8.1
Release:       1mamba
Summary:       An open source high performance realtime 3D engine
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://irrlicht.sourceforge.net/
# If supertuxkart wants a specific post-release svn version:
# svn checkout https://irrlicht.svn.sourceforge.net/svn/irrlicht/trunk irrlicht -r 3843
# tar cJf ../SOURCES/irrlicht-1.7.3.svn3843.tar.xz irrlicht-1.7.3.svn3843/
Source:        http://downloads.sourceforge.net/project/irrlicht/Irrlicht%20SDK/%{majver}/%{version}/irrlicht-%{version}.zip
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libGL-devel
BuildRequires: libstdc++6-devel
BuildRequires: libXxf86vm-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The Irrlicht Engine is an open source high performance realtime 3D engine written and usable in C++ and also available for .NET languages. It is completely cross-platform, using D3D, OpenGL and its own software renderer, and has all of the state-of-the-art features which can be found in commercial 3d engines.

%package devel
Summary:       Header files and static library for development with libid3
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The Irrlicht Engine is an open source high performance realtime 3D engine written and usable in C++ and also available for .NET languages. It is completely cross-platform, using D3D, OpenGL and its own software renderer, and has all of the state-of-the-art features which can be found in commercial 3d engines.

This package contains static libraries and header files need for development.

%prep
%setup -q -n irrlicht-%{version}

%build
cd source/Irrlicht
%make sharedlib LDFLAGS=

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd source/Irrlicht
%makeinstall INSTALL_DIR=%{buildroot}%{_libdir}

# fix for svn version required by supertuxkart
#mv %{buildroot}%{_libdir}/libIrrlicht.so.1.8.0-SVN %{buildroot}%{_libdir}/libIrrlicht.so.1.8.0
#ln -s libIrrlicht.so.1.8.0 %{buildroot}%{_libdir}/libIrrlicht.so
#rm %{buildroot}%{_libdir}/1.8

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libIrrlicht.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libIrrlicht.so
%dir %{_includedir}/irrlicht
%{_includedir}/irrlicht/*.h

%changelog
* Sat Nov 23 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-1mamba
- update to 1.8.1

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 1.8-1mamba
- update to 1.8

* Mon Oct 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.3.svn3843-1mamba
- update to 1.7.3.svn3843

* Sun Oct 14 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.3-1mamba
- update to 1.7.3

* Tue Aug 02 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.2.git20110802-1mamba
- update to 1.7.2.git20110802

* Tue Jul 26 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.2-1mamba
- package created by autospec
